Bug 450248 - Xorg 1920x1080p display is displaced on HDMI screen
Xorg 1920x1080p display is displaced on HDMI screen
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-06 04:03 EDT by Andy Burns
Modified: 2008-07-15 13:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-drv-i810-2.3.2-2.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-15 13:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg startup log (21.47 KB, text/plain)
2008-06-06 04:03 EDT, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2008-06-06 04:03:47 EDT
Description of problem:

Using ASUS P5E-VM-HDMI motherboard with onboard G35 GMA chipset and HDMI
connection to Full-HD TV display in 1920x1080p, the TV has an exact-pixel-scan
mode so that no overscan is used, the whole of the xorg display is displaced to
the left by an estimated 16 to 20 pixels, so the left side is lost and a black
bar is displayed at right side.

I tried to tweak the modeline using xvidtune, but any attempt to shift the
display to the right gives the message

"Sorry you have selected a modeline that is not possible, or is not supported by
your hardware configuration"

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810.x86_64      2.2.1-24.fc9

How reproducible:


Steps to Reproduce:
1. connect HDMI to 1920x1080p TV
2. start xorg
Actual results:
Display is displaced to left

Expected results:
Display correctly fills entire screen, or at least xvidtune can be used to
correct the position.
Comment 1 Andy Burns 2008-06-06 04:03:47 EDT
Created attachment 308516 [details]
Xorg startup log
Comment 2 Andy Burns 2008-06-10 20:05:54 EDT
The modeline detected by EDID is

Modeline "1920x1080" 148.50 1920 2448 2492 2640 1080 1084 1089 1125 +hsync +vsync 

By manually adding another modeline, with the sync pulse shifted 43 pixels to
the left, I was able to shift the picture to the right, though xvidtune refused
to allow such a change to be made dynamically.

Modeline "tweak1080" 148.50 1920 2405 2449 2640 1080 1084 1089 1125 +hsync +vsync
Comment 3 Andy Burns 2008-07-05 10:04:21 EDT
The package xorg-x11-drv-i810-2.3.2-2.fc9.x86_64 
which is currently in updates-testing repo fixes this.

Comment 4 Matěj Cepl 2008-07-15 13:06:30 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.